UbixOS V2 2.0

Data Fields
mqtt_client_t Struct Reference

`#include <mqtt.h>`

Collaboration diagram for mqtt_client_t:

## Data Fields
struct tcp_pcb * | conn
u8_t | conn_state
void * | connect_arg
mqtt_connection_cb_t | connect_cb
u16_t | cyclic_tick
mqtt_incoming_data_cb_t | data_cb
void * | inpub_arg
u16_t | inpub_pkt_id
u16_t | keep_alive
u32_t | msg_idx
struct mqtt_ringbuf_t | output
struct mqtt_request_t * | pend_req_queue
u16_t | pkt_id_seq
mqtt_incoming_publish_cb_t | pub_cb
struct mqtt_request_t | req_list [MQTT_REQ_MAX_IN_FLIGHT]
u8_t | rx_buffer [MQTT_VAR_HEADER_BUFFER_LEN]
u16_t | server_watchdog

## Detailed Description

MQTT client

Definition at line 177 of file mqtt.h.

## Field Documentation

## ◆ conn

struct tcp_pcb* mqtt_client_t::conn

Definition at line 189 of file mqtt.h.

## ◆ conn_state

u8_t mqtt_client_t::conn_state

Connection state

Definition at line 188 of file mqtt.h.

## ◆ connect_arg

void* mqtt_client_t::connect_arg

Connection callback

Definition at line 191 of file mqtt.h.

## ◆ connect_cb

mqtt_connection_cb_t mqtt_client_t::connect_cb

Definition at line 192 of file mqtt.h.

## ◆ cyclic_tick

u16_t mqtt_client_t::cyclic_tick

Timers and timeouts

Definition at line 180 of file mqtt.h.

## ◆ data_cb

mqtt_incoming_data_cb_t mqtt_client_t::data_cb

Incoming data callback

Definition at line 198 of file mqtt.h.

## ◆ inpub_arg

void* mqtt_client_t::inpub_arg

Definition at line 196 of file mqtt.h.

## ◆ inpub_pkt_id

u16_t mqtt_client_t::inpub_pkt_id

Packet identifier of pending incoming publish

Definition at line 186 of file mqtt.h.

## ◆ keep_alive

u16_t mqtt_client_t::keep_alive

Definition at line 181 of file mqtt.h.

## ◆ msg_idx

u32_t mqtt_client_t::msg_idx

Input

Definition at line 201 of file mqtt.h.

## ◆ output

struct mqtt_ringbuf_t mqtt_client_t::output

Output ring-buffer

Definition at line 204 of file mqtt.h.

## ◆ pend_req_queue

struct mqtt_request_t* mqtt_client_t::pend_req_queue

Pending requests to server

Definition at line 194 of file mqtt.h.

## ◆ pkt_id_seq

u16_t mqtt_client_t::pkt_id_seq

Packet identifier generator

Definition at line 184 of file mqtt.h.

## ◆ pub_cb

mqtt_incoming_publish_cb_t mqtt_client_t::pub_cb

Definition at line 199 of file mqtt.h.

## ◆ req_list

struct mqtt_request_t mqtt_client_t::req_list[MQTT_REQ_MAX_IN_FLIGHT]

Definition at line 195 of file mqtt.h.

## ◆ rx_buffer

u8_t mqtt_client_t::rx_buffer[MQTT_VAR_HEADER_BUFFER_LEN]

Definition at line 202 of file mqtt.h.

## ◆ server_watchdog

u16_t mqtt_client_t::server_watchdog

Definition at line 182 of file mqtt.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/apps/mqtt.h